<script>
	import spreads from './data/spreads'
	import decks from './data/decks'
	import Select from './util/select'
	import Spot from './spot'

	let cards = []

	const spreadNames = Object.keys(spreads)
	const deckNames = Object.keys(decks)
	let spreadName = spreadNames[spreadNames.length * Math.random() |0]
	let deckName = deckNames[deckNames.length * Math.random() |0]
	$: spread = spreads[spreadName]
	$: deck = decks[deckName]
	
	$: if(spread || deck) cards = [] //reset cards if these values change
</script>
<style>
	nav{
		display: flex;
		justify-content: space-between;
		align-items: center;
		margin: 1em;
	}
	p{
		padding: 0em 0.7em;
	}
	main{
		display: flex;
		flex: 1 1 auto;
		flex-flow: row wrap;
		justify-content: center;
		align-items: center;
	}
	#spread{

	}
</style>
<nav>
	<p>
		<Select label='spread' options={spreadNames} bind:value={spreadName}/>
	</p>
	<p>
		<Select label='deck' options={deckNames} bind:value={deckName}/>
	</p>
	<p>
		<button on:click={()=>{
			cards = [...cards, deck[deck.length * Math.random() |0]]
		}}>draw</button>
		<button on:click={()=>{
			cards = []
		}}>clear</button>
	</p>
</nav>
<main>
	<div id='spread'>
		{#each spread as item, i}
			<Spot title={item} subtitle={cards[i]}/>
		{/each}
</div>
</main>
